Update binding
curl --request PUT \
--url https://api.pictify.io/bindings/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dataSource": {},
"mapping": {},
"defaults": {},
"refreshPolicy": {},
"outputConfig": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dataSource: {},
mapping: {},
defaults: {},
refreshPolicy: {},
outputConfig: {}
})
};
fetch('https://api.pictify.io/bindings/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/bindings/{uid}"
payload = {
"name": "<string>",
"dataSource": {},
"mapping": {},
"defaults": {},
"refreshPolicy": {},
"outputConfig": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/bindings/{uid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"dataSource\": {},\n \"mapping\": {},\n \"defaults\": {},\n \"refreshPolicy\": {},\n \"outputConfig\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/bindings/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"dataSource\": {},\n \"mapping\": {},\n \"defaults\": {},\n \"refreshPolicy\": {},\n \"outputConfig\": {}\n}"
response = http.request(request)
puts response.read_bodyBindings
Update Binding
PUT
/
bindings
/
{uid}
Update binding
curl --request PUT \
--url https://api.pictify.io/bindings/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dataSource": {},
"mapping": {},
"defaults": {},
"refreshPolicy": {},
"outputConfig": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dataSource: {},
mapping: {},
defaults: {},
refreshPolicy: {},
outputConfig: {}
})
};
fetch('https://api.pictify.io/bindings/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/bindings/{uid}"
payload = {
"name": "<string>",
"dataSource": {},
"mapping": {},
"defaults": {},
"refreshPolicy": {},
"outputConfig": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/bindings/{uid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"dataSource\": {},\n \"mapping\": {},\n \"defaults\": {},\n \"refreshPolicy\": {},\n \"outputConfig\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/bindings/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"dataSource\": {},\n \"mapping\": {},\n \"defaults\": {},\n \"refreshPolicy\": {},\n \"outputConfig\": {}\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
API key obtained from the Pictify dashboard
Path Parameters
Body
application/json
Response
200
Binding updated
⌘I